{
  "name": "getto-demo-gift-noshi",
  "version": "0.10.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "storybook": "cd storybook && npm run build",
    "start:public": "webpack serve --mode development --config public/webpack.config.js",
    "build": "npm run setup && npm run webpack",
    "webpack": "npm run webpack:public",
    "webpack:public": "webpack --mode production --config public/webpack.config.js",
    "setup": "npm run setup:protobuf && npm run setup:theme && npm run setup:css && npm run setup:environment",
    "setup:protobuf": "sh setup/protobuf.sh",
    "setup:theme": "sh setup/theme.sh",
    "setup:environment": "node setup/environment.js",
    "setup:css": "node setup/css.js",
    "test": "npm run setup && npm run test:eslint && npm run test:jest",
    "test:eslint": "eslint lib/",
    "test:jest": "jest -c config/jest.config.js"
  },
  "author": "shun@getto.systems",
  "license": "MIT",
  "devDependencies": {
    "@types/jest": "^26.0.21",
    "@typescript-eslint/eslint-plugin": "^4.18.0",
    "@typescript-eslint/parser": "^4.18.0",
    "autoprefixer": "^10.2.5",
    "clean-css": "^5.1.2",
    "eslint": "^7.22.0",
    "eslint-plugin-jest": "^24.3.2",
    "eslint-plugin-react": "^7.23.1",
    "eslint-plugin-react-hooks": "^4.2.0",
    "exceljs": "^4.2.1",
    "htm": "^3.0.4",
    "jest": "^26.6.3",
    "postcss": "^8.2.8",
    "postcss-cli": "^8.3.1",
    "preact": "^10.5.13",
    "protobufjs": "^6.10.2",
    "terser-webpack-plugin": "^5.1.0",
    "ts-jest": "^26.5.4",
    "ts-loader": "^8.0.18",
    "typescript": "^4.2.3",
    "webpack": "^5.26.3",
    "webpack-cli": "^4.5.0",
    "webpack-dev-server": "^3.11.2",
    "worker-plugin": "^5.0.0"
  }
}
